Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Require in Global_Lang (deutsch Sie)?
#1
Hiho!
Ich habe hier die deutsche formell Sie Sprachdatei, da steht drin:

Code:
<?php
#########################################################
# Deutsches Sprachpaket (Formell)                       #
# Version 1.4.10                                        #
# Datum: 01.12.2009                                     #
# MyBB-Version 1.4.10                                   #
# Autor: MyBBoard.de | Webseite: https://www.mybb.de #
# (c) 2005-2009 MyBBoard.de | Alle Rechte vorbehalten!  #
#                                                       #
# Die Lizenz/Nutzungsbedingungen finden Sie in der      #
# beiliegenden Readme.                                  #
#########################################################


require ("constring.php");

Wieso steht da dieses require? Dieses zeigt ja direkt auf die Datei. Wenn ich aber jetzt die Sprache nicht aus dem Hauptverzeichniss des Forum nutze geht es nicht. Sad Die anderen global_lang sind anderes aufgebaut, wieso diese nicht?
#2
Ich weiß nicht, woher du die Datei hast. So wird sie jedenfalls nicht angeboten.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
Mhm das dachte ich mir schon fast. Sad Ich helfe grade jemand bei seinem Forum, dort habe ich das gefunden. Sad Evt hat ein Plugin das erfordert, die haben ein paar selbst programmierte. Kannst du mir evt trotzdem sagen wie ich das require schreiben muss das es immer auf contrib.php zugreift, also die contrib Datei im Forum Hauptverzeichnis.
#4
Das gehört da auf keinen Fall nicht rein.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#5
Jepp ich weiß. Kann es nur erst mal nicht rauswerfen. Habe den Admin des Forum schon informiert und muss schauen wie man das da wieder raus bekommt. Weiß nämlich jetzt ganz genau wo es her kommt, habe noch etwas getestet und dann ist es mir aufgefallen wo es her kommt.

Ich würde ja sagen das macht nur noch mehr Fehler so wie es jetzt ist. Bekomme es nur heute und am WE nicht raus. Sad Wenn erst nächste Woche. Deswegen bräuchte ich erst mal ein Work Around damit ich das dann richtig machen kann.
#6
Wofür einen Workaround? Du hast doch gar nichts von einem Problem geschrieben?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#7
Ich habe eine Seite gebaut nach der Anleitung eigene Seite erstellen. Also mit Template und so. Die geht aber nicht wegen diesen require. Denn das Require sucht die contrib.php im falschen Ort.

Wobei ich gerade sehe bei meinem Problem https://www.mybb.de/forum/thread-15811-p...#pid114150 Hast du mir schon geholfen. Wobei ich jetzt nicht weiß ob man das dort stehen lassen sollte. Denn es verwirrt nur wenn jemand eine Seite bauen will. Er brauch das ja nicht, liegt ja hier an diesem Kram.
#8
Du suchst also einen Workaround, weil du die Zeile nicht entfernen kannst? Im Zweifelsfall kannst du eine leere Datei mit dem gesuchten Namen erstellen, damit es nicht zu Fehlermeldungen kommt. Allerdings sollte natürlich die tatsächliche Herkunft geklärt und die Zeile dann entfernt werden.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.